# -*- coding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.shortcuts import render_to_response, get_object_or_404
from django.template import RequestContext
from django.contrib.auth.decorators import login_required, permission_required

from webadmin.tools import System, Task

context = {'modulo': 'Administração',
           'extra': 'Telecentros.BR',
           }

@login_required
@permission_required('admin-mc.can_view')
def index(request):
# Pode-se utilizar o decorador @permission_required ou o IF abaixo, 
# desta forma é possível retornar uma mensagem de erro.
#    if not request.user.has_perm('admin-mc.can_view'):
#        return HttpResponse("Sem permissão para este conteúdo.")

    return render_to_response('network/administracao.html', context,
                              context_instance=RequestContext(request))
    
