# -*- coding: utf-8 -*-

from django.shortcuts import render_to_response, get_object_or_404
from django.template import RequestContext
from django.contrib.auth.decorators import login_required, permission_required

context = {'modulo': 'Administração',
           'extra': 'Telecentros.BR',
           }

@login_required
@permission_required('admin.can_view')
def index(request):
# Pode-se utilizar o decorador @permission_required ou o IF abaixo, 
# desta forma é possível retornar uma mensagem de erro.
#    if not request.user.has_perm('admin.can_view'):
#        return HttpResponse("Sem permissão para este conteúdo.")

    return render_to_response('network/administracao.html', context,
                              context_instance=RequestContext(request))

def backup(request):

    context = {'modulo': 'Administração',
               'extra': 'Backup',
               }

    return render_to_response('admin/backup/backup.html', context,
                              context_instance=RequestContext(request))
    
