# -*- encoding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django import forms
from django.forms.widgets import TextInput
from django.contrib.localflavor.br.forms import BRPhoneNumberField, BRStateSelect, BRZipCodeField
from webadmin.system.models import Address

class FormAdmPasswd(forms.Form):
    passwd = forms.CharField(widget=forms.PasswordInput, label="Nova senha:")

class FormRegistration(forms.ModelForm):
    admin_phone = BRPhoneNumberField(
        label="Telefone",
        error_messages={'invalid': u'O número do telefone deve ser no formato XX-XXXX-XXXX'})
    tl_state = forms.CharField(label="Estado", widget=BRStateSelect())
    tl_zipcode = BRZipCodeField(
        label="CEP",
        error_messages={'invalid': u'O CEP deve ser no formato XXXXX-XXX'})
    tl_phone = BRPhoneNumberField(
        label="Telefone",
        error_messages={'invalid': u'O número do telefone deve ser no formato XX-XXXX-XXXX'})

    class Meta:
        model = Address
        widgets = {
            'tl_neighborhood': TextInput(attrs={'onchange': 'getFullAddress()'}),
            }

class FormDisplay(forms.ModelForm):
    
 #   admin_phone = BRPhoneNumberField(attrs={'disabled': disabled})

    class Meta:
        model = Address
