# -*- encoding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.db import models

class Address(models.Model):
    # Telecentro admin data
    admin_name =  models.CharField('Nome do administrador', max_length=50)
    admin_phone =  models.CharField('Telefone', max_length=15)

    # Telecentro data
    tl_name = models.CharField('Nome do telecentro', max_length=50)
    tl_phone = models.CharField('Telefone', max_length=15, blank=True)
    tl_state = models.CharField('Estado', max_length=50)
    tl_city = models.CharField('Cidade', max_length=50)
    tl_street = models.CharField('Rua', max_length=50)
    tl_number = models.CharField('Número', max_length=10)
    tl_zipcode = models.CharField('CEP', max_length=9)
    tl_neighborhood = models.CharField('Bairro', max_length=50)
    geolocation = models.CharField('Geolocalização', max_length=100, blank=True)

    class Meta:
        permissions = (
            ('can_view', 'Pode visualizar'),
            )
