# -*- encoding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of minicom-webadmin
# minicom-webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django import forms
from models import UserProfile
from django.contrib.localflavor.br.forms import BRPhoneNumberField, BRStateSelect, BRZipCodeField

class FormRegister(forms.Form):
    usuario = forms.CharField(max_length=100)
    senha = forms.CharField(widget=forms.PasswordInput, label="Senha")
    email = forms.EmailField()

class FormUser(forms.ModelForm):
    state = forms.CharField(label="Estado", widget=BRStateSelect())
    zipcode = BRZipCodeField(
        label="CEP",
        error_messages={'invalid': u'O CEP deve ser no formato XXXXX-XXX'})

    class Meta:
        model = UserProfile
        exclude = ('user', 'email2')

class SearchForm(forms.Form):
    '''
    Search users by username, first_name or email
    '''
    keyword = forms.CharField(label=u'', max_length=100)
