# -*- encoding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of webadmin
# webadmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.db import models
from django.contrib.auth.models import User

class UserProfile(models.Model):
    DOC_TYPE = (
        ('RG', 'RG'),
        ('CPF', 'CPF'),
        ('CNH', 'CNH'),
        ('CNS', 'Certidão de Nascimento'),
        ('Other', 'Outros'),
        )

    GENDER = (
        ('M', 'Masculino'),
        ('F', 'Feminino'),
        )

    PROFILE = (
        ('advanced', 'Avançado'),
        ('basic', 'Básico'),
        ('medium', 'Médio'),
        )

    ET = (
        ('1', 'Amarelo'),
        ('2', 'Branco'),
        ('3', 'Indígena'),
        ('4', 'Negro'),
        ('5', 'Pardo'),
        )

    OCUPATION = (
        ('1', 'Empregado'),
        ('2', 'Desempregado'),
        ('3', 'Trabalhador doméstico'),
        ('4', 'Empregador'),
        ('5', 'Não remunerado'),
        )

    F_INCOME = (
        ('1', 'Até 2 salários'),
        ('2', 'De 2 a 4 salários'),
        ('3', 'De 4 a 10 salários'),
        ('4', 'De 10 a 20 salários'),
        ('5', 'Acima de 20 salários'),
        )

    I_INCOME = (
        ('1', 'Até 1 salários'),
        ('2', 'De 1 a 2 salários'),
        ('3', 'De 2 a 3 salários'),
        ('4', 'De 3 a 5 salários'),
        ('5', 'De 5 a 10 salários'),
        ('6', 'De 10 a 20 salários'),
        ('7', 'Acima de 20 salários'),
        ('8', 'Sem rendimentos'),
        )

    SCHOOLING = (
        ('1', 'Sem instrução'),
        ('2', 'Fundamental incompleto ou equivalente'),
        ('3', 'Fundamental completo ou equivalente'),
        ('4', 'Médio incompleto ou equivalente'),
        ('5', 'Médio completo ou equivalente'),
        ('6', 'Superior incompleto'),
        ('7', 'Superior completo'),
        )

    DISABILITIES = (
        ('1', 'Nenhuma'),
        ('2', 'Mental'),
        ('3', 'Motora'),
        ('4', 'Visual'),
        ('5', 'Auditiva'),
        )
    
    SOCIAL = (
        ('1', 'Orkut'),
        ('2', 'Facebook'),
        ('3', 'Twitter'),
        ('4', 'Myspace'),
        ('5', 'Linkedln'),
        ('6', 'Outras'),
        )

    user = models.OneToOneField(User, unique=True)
    first_name = models.CharField('Nome', max_length=20)
    last_name = models.CharField('Sobrenome', max_length=100)
#    email2 = models.EmailField(unique=True, blank=True)
    etnia = models.CharField(max_length=15, choices=ET)
    gender = models.CharField('Sexo', max_length=10, choices=GENDER)
    document_type = models.CharField('Documento', max_length=10, choices=DOC_TYPE)
#    document_owner = models.BooleanField('Documento do responsável?')
    document_number = models.CharField('Número', max_length=100)
    ocupation = models.CharField('Ocupação', max_length=50, choices=OCUPATION)
    familiar_income = models.CharField('Renda Familiar', max_length=50, choices=F_INCOME)
    individual_income = models.CharField('Renda Individual', max_length=50, choices=I_INCOME)
    schooling = models.CharField('Escolaridade', max_length=50, choices=SCHOOLING)
    schooling = models.CharField('Escolaridade', max_length=50, choices=SCHOOLING)
    disabilities = models.CharField('Deficiência', max_length=50, choices=DISABILITIES)
    social_network = models.CharField('Redes sociais', max_length=50, choices=SOCIAL, blank=True)

    # Address
    street = models.CharField('Rua', max_length=50)
    number = models.CharField('Número', max_length=10)
    neighborhood = models.CharField('Bairro', max_length=50)
    zipcode = models.CharField('CEP', max_length=9)
    state = models.CharField('Estado', max_length=50)
    city = models.CharField('Município', max_length=100)

#    profile = models.CharField('Perfil', max_length=10, choices=PROFILE, default='basic')
    quota = models.CharField('Cota de disco(Mb)', max_length=20, default=1000, blank=True)

    def __unicode__(self):
        return self.user.username
    
User.profile = property(lambda u: UserProfile.objects.get_or_create(user=u)[1])

